org.apache.lucene.index

## Class LegacySortedSetDocValuesWrapper

- java.lang.Object
- - org.apache.lucene.search.DocIdSetIterator
  - - org.apache.lucene.index.SortedSetDocValues
    - - org.apache.lucene.index.LegacySortedSetDocValuesWrapper

- Deprecated.
  Implement `SortedSetDocValues` directly.

      @Deprecated
      public final class LegacySortedSetDocValuesWrapper
      extends SortedSetDocValues

  Wraps a `LegacySortedSetDocValues` into a `SortedSetDocValues`.

- - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.index.SortedSetDocValues

      `NO_MORE_ORDS`

    - ### Fields inherited from class org.apache.lucene.search.DocIdSetIterator

      `NO_MORE_DOCS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LegacySortedSetDocValuesWrapper(LegacySortedSetDocValues values, int maxDoc)` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `advance(int target)` Deprecated. Advances to the first beyond the current whose document number is greater than or equal to target, and returns the document number itself.
    `boolean` | `advanceExact(int target)` Deprecated. Advance the iterator to exactly `target` and return whether `target` has a value.
    `long` | `cost()` Deprecated. Returns the estimated cost of this `DocIdSetIterator`.
    `int` | `docID()` Deprecated. Returns the following: `-1` if `DocIdSetIterator.nextDoc()` or `DocIdSetIterator.advance(int)` were not called yet.
    `long` | `getValueCount()` Deprecated. Returns the number of unique values.
    `BytesRef` | `lookupOrd(long ord)` Deprecated. Retrieves the value for the specified ordinal.
    `int` | `nextDoc()` Deprecated. Advances to the next document in the set and returns the doc it is currently on, or `DocIdSetIterator.NO_MORE_DOCS` if there are no more docs in the set. NOTE: after the iterator has exhausted you should not call this method, as it may result in unpredicted behavior.
    `long` | `nextOrd()` Deprecated. Returns the next ordinal for the current document.
    `String` | `toString()` Deprecated.

    - ### Methods inherited from class org.apache.lucene.index.SortedSetDocValues

      `intersect, lookupTerm, termsEnum`

    - ### Methods inherited from class org.apache.lucene.search.DocIdSetIterator

      `all, empty, range, slowAdvance`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### LegacySortedSetDocValuesWrapper

          public LegacySortedSetDocValuesWrapper(LegacySortedSetDocValues values,
                                                 int maxDoc)

      Deprecated.

  - ### Method Detail

    - #### docID

          public int docID()

      Deprecated.
      Description copied from class: `DocIdSetIterator`
      Returns the following:
      - `-1` if `DocIdSetIterator.nextDoc()` or `DocIdSetIterator.advance(int)` were not called yet.
      - `DocIdSetIterator.NO_MORE_DOCS` if the iterator has exhausted.
      - Otherwise it should return the doc ID it is currently on.

      Specified by:
        `docID` in class `DocIdSetIterator`

    - #### nextDoc

          public int nextDoc()

      Deprecated.
      Description copied from class: `DocIdSetIterator`
      Advances to the next document in the set and returns the doc it is currently on, or `DocIdSetIterator.NO_MORE_DOCS` if there are no more docs in the set.
      NOTE: after the iterator has exhausted you should not call this method, as it may result in unpredicted behavior.
      Specified by:
        `nextDoc` in class `DocIdSetIterator`

    - #### advance

          public int advance(int target)

      Deprecated.
      Description copied from class: `DocIdSetIterator`
      Advances to the first beyond the current whose document number is greater than or equal to target, and returns the document number itself. Exhausts the iterator and returns `DocIdSetIterator.NO_MORE_DOCS` if target is greater than the highest document number in the set.

      The behavior of this method is undefined when called with `target ≤ current`, or after the iterator has exhausted. Both cases may result in unpredicted behavior.

      When `target > current` it behaves as if written:

           int advance(int target) {
             int doc;
             while ((doc = nextDoc()) < target) {
             }
             return doc;
           }

      Some implementations are considerably more efficient than that.

      NOTE: this method may be called with `DocIdSetIterator.NO_MORE_DOCS` for efficiency by some Scorers. If your implementation cannot efficiently determine that it should exhaust, it is recommended that you check for that value in each call to this method.

      Specified by:
        `advance` in class `DocIdSetIterator`

    - #### advanceExact

          public boolean advanceExact(int target)
                               throws IOException

      Deprecated.
      Advance the iterator to exactly `target` and return whether `target` has a value. `target` must be greater than or equal to the current `doc ID` and must be a valid doc ID, ie. ≥ 0 and < `maxDoc`. After this method returns, `DocIdSetIterator.docID()` retuns `target`.
      Throws:
        `IOException`

    - #### cost

          public long cost()

      Deprecated.
      Description copied from class: `DocIdSetIterator`
      Returns the estimated cost of this `DocIdSetIterator`.

      This is generally an upper bound of the number of documents this iterator might match, but may be a rough heuristic, hardcoded value, or otherwise completely inaccurate.

      Specified by:
        `cost` in class `DocIdSetIterator`

    - #### nextOrd

          public long nextOrd()

      Deprecated.
      Description copied from class: `SortedSetDocValues`
      Returns the next ordinal for the current document. It is illegal to call this method after `advanceExact(int)` returned `false`.
      Specified by:
        `nextOrd` in class `SortedSetDocValues`
      Returns:
        next ordinal for the document, or `SortedSetDocValues.NO_MORE_ORDS`. ordinals are dense, start at 0, then increment by 1 for the next value in sorted order.

    - #### lookupOrd

          public BytesRef lookupOrd(long ord)

      Deprecated.
      Description copied from class: `SortedSetDocValues`
      Retrieves the value for the specified ordinal. The returned `BytesRef` may be re-used across calls to lookupOrd so make sure to `copy it` if you want to keep it around.
      Specified by:
        `lookupOrd` in class `SortedSetDocValues`
      Parameters:
        `ord` - ordinal to lookup
      See Also:
        `SortedSetDocValues.nextOrd()`

    - #### getValueCount

          public long getValueCount()

      Deprecated.
      Description copied from class: `SortedSetDocValues`
      Returns the number of unique values.
      Specified by:
        `getValueCount` in class `SortedSetDocValues`
      Returns:
        number of unique values in this SortedDocValues. This is also equivalent to one plus the maximum ordinal.

    - #### toString

          public String toString()

      Deprecated.
      Overrides:
        `toString` in class `Object`

Copyright © 2000-2019 Apache Software Foundation. All Rights Reserved.